Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.scoringFunctions.homogeneous
Class HomogeneousScoringFunction

    java.lang.Object
      de.jstacs.scoringFunctions.AbstractNormalizableScoringFunction
          de.jstacs.scoringFunctions.VariableLengthScoringFunction
              de.jstacs.scoringFunctions.homogeneous.HomogeneousScoringFunction

All Implemented Interfaces:
  NormalizableScoringFunction, ScoringFunction, Storable, Cloneable

Direct Known Subclasses:
  HMM0ScoringFunction, HMMScoringFunction, UniformHomogeneousScoringFunction

    public abstract class HomogeneousScoringFunction

extends VariableLengthScoringFunction

This is the main class for all homogeneous ScoringFunctions.

Author:
  Jens Keilwagen

Field Summary

Fields inherited from class de.jstacs.scoringFunctions.AbstractNormalizableScoringFunction
`alphabets, length, r`

Fields inherited from interface de.jstacs.scoringFunctions.ScoringFunction
`UNKNOWN`

Constructor Summary
`protected` | `HomogeneousScoringFunction(AlphabetContainer alphabets)` This is the main constructor that creates an instance that models sequence s of arbitrary length.
`protected` | `HomogeneousScoringFunction(AlphabetContainer alphabets, int length)` This is the main constructor that creates an instance that models sequence s of a given length.
`protected` | `HomogeneousScoringFunction(StringBuffer source)` This is the constructor for `Storable`.

Method Summary
`abstract int` | `getMaximalMarkovOrder()` Returns the maximal used markov oder.

Methods inherited from class de.jstacs.scoringFunctions.VariableLengthScoringFunction
`getLogScore, getLogScore, getLogScoreAndPartialDerivation, getLogScoreAndPartialDerivation, getNormalizationConstant, getNormalizationConstant, getPartialNormalizationConstant, getPartialNormalizationConstant, getStationarySymbolDistribution, setStatisticForHyperparameters`

Methods inherited from class de.jstacs.scoringFunctions.AbstractNormalizableScoringFunction
`clone, fromXML, getAlphabetContainer, getInitialClassParam, getLength, getLogScore, getLogScoreAndPartialDerivation, getNumberOfRecommendedStarts, isNormalized, isNormalized`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.jstacs.scoringFunctions.NormalizableScoringFunction
`addGradientOfLogPriorTerm, getEss, getLogPriorTerm, getSizeOfEventSpaceForRandomVariablesOfParameter`

Methods inherited from interface de.jstacs.scoringFunctions.ScoringFunction
`getCurrentParameterValues, getInstanceName, getNumberOfParameters, initializeFunction, initializeFunctionRandomly, isInitialized, setParameters`

Methods inherited from interface de.jstacs.Storable
`toXML`

Constructor Detail

### HomogeneousScoringFunction

    protected HomogeneousScoringFunction(AlphabetContainer alphabets)

  This is the main constructor that creates an instance that models sequence s of arbitrary length.

  Parameters:
    `alphabets` - the AlphabetContainer

### HomogeneousScoringFunction

    protected HomogeneousScoringFunction(AlphabetContainer alphabets,
                                         int length)

  This is the main constructor that creates an instance that models sequence s of a given length.

  Parameters:
    `alphabets` - the AlphabetContainer
    `length` - the length of the modeled sequences

### HomogeneousScoringFunction

    protected HomogeneousScoringFunction(StringBuffer source)
                                  throws NonParsableException

  This is the constructor for `Storable`.

  Parameters:
    `source` - the xml representation
  Throws:
    `NonParsableException` - if the representation could not be parsed.

Method Detail

### getMaximalMarkovOrder

    public abstract int getMaximalMarkovOrder()

  Returns the maximal used markov oder.

  Returns:
    the maximal used markov oder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD